
Redmine - Defect #7970

Totals on the Reports page do not include subprojects

2011-03-23 15:16 - Anonymous

Status: Closed Start date: 2011-03-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When looking at the Summary page of a project that has subprojects, the totals for all of the views (Tracker, Priority, Assignee, etc.)

only show the counts for issues that are part of the project itself without being in any subproject.  This behavior is inconsistent with

the behavior on the normal Issues page, which shows all issues belonging to the main project as well as all subprojects.

My personal example: I have a project that contains multiple subprojects.  When I click on the "Issues" tab of my project, I can see all

the issues filed under my project, as well as all of its subprojects.  Then, when I click "Summary" on the right hand side, I see the

Reports page, but only a small fraction of my original issues appear as counted. Although the "Subproject" is available, I have no way

to see totals for all the issues I was viewing one page ago, because most of them are within subprojects.

Database: MySQL 5.1.25-rc

Ruby: 1.8.7

Rails: 2.3.5

Redmine: r5164

Related issues:

Related to Redmine - Feature #2529: Extend Issue Summary to include subprojects Closed 2009-01-19

Related to Redmine - Feature #4424: Rollup Subprojects Counts in Issues-Reports Closed 2009-12-16

History

#1 - 2011-03-23 20:50 - Jean-Philippe Lang

- Subject changed from Totals on the Reports page are not recursive to Totals on the Reports page do not include subprojects

- Category set to Issues

- Target version set to Unplanned backlogs

#2 - 2013-03-18 13:33 - Terence Mill

maybe dupe of #12492

#3 - 2013-03-18 13:34 - Terence Mill

+1 anyway

#4 - 2013-03-18 13:50 - Ewan Makepeace

And #2529 ?

#5 - 2013-03-18 14:10 - Daniel Felix

- Status changed from New to Closed

- Target version deleted (Unplanned backlogs)

- Resolution set to Duplicate

Closed as it is a duplicate of #2529.

Thanks for pointing this out.
